package com.manalejandro.mongodbcrud;

import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.data.mongodb.repository.config.EnableMongoRepositories;

import com.manalejandro.mongodbcrud.model.Item;
import com.manalejandro.mongodbcrud.services.ItemService;

@SpringBootApplication
@EnableMongoRepositories(basePackages = { "com.manalejandro.mongodbcrud.repositories" })
public class MongodbcrudApplication implements CommandLineRunner {

	private ItemService itemService;
	private Logger logger;

	@Autowired
	public MongodbcrudApplication(ItemService itemService) {
		this.itemService = itemService;
		this.logger = Logger.getLogger(this.getClass().getCanonicalName());
	}

	public static void main(String[] args) {
		SpringApplication.run(MongodbcrudApplication.class, args);
	}

	public void run(String... args) throws Exception {
		ArrayList<Item> items = new ArrayList<Item>();
		items.add(new Item("prueba1", "apellido1", "apellido2"));
		items.add(new Item("prueba2", "apellido1", "apellido2"));
		items.add(new Item("prueba3", "apellido1", "apellido2"));
		items.add(new Item("prueba4", "apellido1", "apellido2"));
		items.add(new Item("prueba5", "apellido1", "apellido2"));
		items.add(new Item("prueba6", "apellido1", "apellido2"));
		items.add(new Item("prueba7", "apellido1", "apellido2"));
		items.add(new Item("prueba8", "apellido1", "apellido2"));
		items.add(new Item("prueba9", "apellido1", "apellido2"));
		if (this.itemService.saveAll(items)) {
			this.logger.log(Level.INFO, "Datos de prueba cargados correctamente...");
		} else {
			this.logger.log(Level.SEVERE, "Error: No se han podido cargar los datos");
		}
	}
}
